# Return MySQL users

This function lists an account's MySQL® database users.

Important:

  When you disable the MySQL/MariaDB role and
  remote MySQL is not configured, the system disables this function.

Endpoint: GET /Mysql/list_users
Version: 11.136.0.31
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_users"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (array)
    An array of database information objects.

  - `result.data.databases` (array)
    An array of databases that belong to the
database user.

Note:

If no users are assigned to a database, the function returns
an empty array.
    Example: ["user_database1","user_database2"]

  - `result.data.shortuser` (string)
    The short version of the database username.
    Example: "user1"

  - `result.data.user` (string)
    The database username.
    Example: "example_user1"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


